Skip to main content
POST
/
api
/
v1
/
ai
/
extract-colors
Extract colors from image
curl --request POST \
  --url https://api.kynva.ai/api/v1/ai/extract-colors \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "imageUrl": "<string>",
  "count": 5
}
'
import requests

url = "https://api.kynva.ai/api/v1/ai/extract-colors"

payload = {
"imageUrl": "<string>",
"count": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({imageUrl: '<string>', count: 5})
};

fetch('https://api.kynva.ai/api/v1/ai/extract-colors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "colors": [
      "<string>"
    ],
    "dominant": "<string>",
    "palette": {
      "vibrant": "<string>",
      "muted": "<string>",
      "dark": "<string>",
      "light": "<string>"
    },
    "processingTime": 123
  }
}

Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Body

application/json
imageUrl
string<uri>
required

URL of the image to analyze

count
number
default:5

Number of colors to extract

Required range: 1 <= x <= 10

Response

200 - application/json

Colors extracted successfully

Colors extracted successfully

success
boolean
data
object